[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Instruct yum to keep old kernels



On Saturday 01 September 2007, Marcel Janssen wrote:
> I manually installed the new kernel, than upgraded the other packages using
> yum again. At least it works, but I believe yum is broken.

I still need to manually install new kernels. Yum fails installing them as 
updates of kernels arrive. I really don't understand the meaning of the below 
yum output. I tell it to "install" and yum seems to perform and "update", or 
am I interpreting the output wrong ?


$ yum install kernel.x86_64 0:2.6.22.4-65.fc7
Loading "kmdl" plugin
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package kernel.x86_64 0:2.6.21-1.3194.fc7 set to be updated  <--- WHY ?
---> Package kernel.x86_64 0:2.6.22.4-65.fc7 set to be updated      <--- WHY ?
--> Processing Dependency: /boot/vmlinuz-2.6.22.1-41.fc7 for package: 
gspcav1-kmdl-2.6.22.1-41.fc7
--> Processing Dependency: /boot/vmlinuz-2.6.22.1-41.fc7 for package: 
nvidia-graphics100.14.09-kmdl-2.6.22.1-41.fc7
--> Processing Dependency: /boot/vmlinuz-2.6.22.1-41.fc7 for package: 
nvidia-graphics100.14.11-kmdl-2.6.22.1-41.fc7
--> Finished Dependency Resolution
---> Package gspcav1-kmdl-2.6.21-1.3194.fc7.x86_64 0:1.00.18-4.fc7 set to be 
installed
---> Package nvidia-graphics100.14.11-kmdl-2.6.21-1.3194.fc7.x86_64 
1:100.14.11-91.fc7 set to be installed
---> Package nvidia-graphics100.14.09-kmdl-2.6.21-1.3194.fc7.x86_64 
1:100.14.09-90.fc7 set to be installed
---> Package gspcav1-kmdl-2.6.22.4-65.fc7.x86_64 0:1.00.18-4.fc7 set to be 
installed
---> Package nvidia-graphics100.14.11-kmdl-2.6.22.4-65.fc7.x86_64 
1:100.14.11-91.fc7 set to be installed
---> Package nvidia-graphics100.14.09-kmdl-2.6.22.4-65.fc7.x86_64 
1:100.14.09-90.fc7 set to be installed
--> Running transaction check
---> Package gspcav1-kmdl-2.6.21-1.3194.fc7.x86_64 0:1.00.18-4.fc7 set to be 
updated
---> Package gspcav1-kmdl-2.6.22.4-65.fc7.x86_64 0:1.00.18-4.fc7 set to be 
updated
---> Package nvidia-graphics100.14.11-kmdl-2.6.22.4-65.fc7.x86_64 
1:100.14.11-91.fc7 set to be updated
---> Package nvidia-graphics100.14.09-kmdl-2.6.21-1.3194.fc7.x86_64 
1:100.14.09-90.fc7 set to be updated
---> Package nvidia-graphics100.14.09-kmdl-2.6.22.4-65.fc7.x86_64 
1:100.14.09-90.fc7 set to be updated
---> Package nvidia-graphics100.14.11-kmdl-2.6.21-1.3194.fc7.x86_64 
1:100.14.11-91.fc7 set to be updated
--> Processing Dependency: /boot/vmlinuz-2.6.22.1-41.fc7 for package: 
gspcav1-kmdl-2.6.22.1-41.fc7
--> Processing Dependency: /boot/vmlinuz-2.6.22.1-41.fc7 for package: 
nvidia-graphics100.14.09-kmdl-2.6.22.1-41.fc7
--> Processing Dependency: /boot/vmlinuz-2.6.22.1-41.fc7 for package: 
nvidia-graphics100.14.11-kmdl-2.6.22.1-41.fc7
--> Finished Dependency Resolution
Error: Missing Dependency: /boot/vmlinuz-2.6.22.1-41.fc7 is needed by package 
nvidia-graphics100.14.09-kmdl-2.6.22.1-41.fc7
Error: Missing Dependency: /boot/vmlinuz-2.6.22.1-41.fc7 is needed by package 
nvidia-graphics100.14.11-kmdl-2.6.22.1-41.fc7
Error: Missing Dependency: /boot/vmlinuz-2.6.22.1-41.fc7 is needed by package 
gspcav1-kmdl-2.6.22.1-41.fc7

Regards,
Marcel


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]